%define languageenglazy Vietnamese
%define languagecode    vi
%define lc_ctype        vi_VN

%define upstream_version 20120418

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://code.google.com/p/hunspell-spellcheck-vi
Source0:        https://sourceforge.net/projects/aoo-extensions/files/917/3/vi_spellchecker_ooo3.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-vi
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-vi_VI < 1.0.3
Provides:       myspell-vi_VI

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES* dictionaries/CHANGELOG
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.20120418.1-4.mga9
+ Revision: 1808005
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20120418.1-3.mga8
+ Revision: 1501702
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20120418.1-2.mga7
+ Revision: 1278863
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20120418.1-1.mga7
+ Revision: 1213812
- Update to release 20120418

* Thu Feb 04 2016 umeabot <umeabot> 0.20080604.1-12.mga6
+ Revision: 934227
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20080604.1-11.mga5
+ Revision: 745868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20080604.1-10.mga5
+ Revision: 680326
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20080604.1-9.mga4
+ Revision: 505883
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20080604.1-8.mga3
+ Revision: 353755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20080604.1-7.mga2
+ Revision: 224924
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20080604.1-6.mga2
+ Revision: 209146
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20080604.1-4.mga1
+ Revision: 69199
- imported package hunspell-vi


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080604-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080604-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080604-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 18 2006 Caolan McNamara <caolanm@redhat.com> - 0.20080604-1
- initial version
